const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const deposits = sequelize.define(
    'deposits',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

deposit_datetime: {
        type: DataTypes.DATE,

      },

deposit_amount: {
        type: DataTypes.DECIMAL,

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  deposits.associate = (db) => {

    db.deposits.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.deposits.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };

  return deposits;
};

